## kpim6-mailcommon 25.08.0

=== debian/changelog ===
kpim6-mailcommon (4:25.08.0-0zneon+24.04+noble+release+build35) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 02:08:01 +0000

kpim6-mailcommon (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:42:01 +0000

kpim6-mailcommon (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:59:48 +0000

kpim6-mailcommon (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:09:26 +0000

kpim6-mailcommon (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:50:11 +0000

kpim6-mailcommon (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:05:31 +0000

kpim6-mailcommon (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:35:26 +0000

kpim6-mailcommon (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:03:39 +0000

kpim6-mailcommon (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:55:45 +0000

kpim6-mailcommon (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:51:07 +0000

kpim6-mailcommon (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:06:48 +0000

kpim6-mailcommon (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:38:31 +0000

kpim6-mailcommon (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:10:12 +0000

kpim6-mailcommon (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:02:10 +0000

kpim6-mailcommon (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:44:42 +0000

kpim6-mailcommon (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:04:18 +0000

kpim6-mailcommon (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:47:40 +0000

kpim6-mailcommon (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:17:00 +0000

libkf5mailcommon (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 08:00:35 +0000

libkf5mailcommon (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:54:40 +0000

libkf5mailcommon (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:21:31 +0000

libkf5mailcommon (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:25:54 +0000

libkf5mailcommon (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:26:04 +0000

libkf5mailcommon (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:53:05 +0000

libkf5mailcommon (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:31:07 +0000

libkf5mailcommon (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:05:37 +0000

libkf5mailcommon (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:12:15 +0000

libkf5mailcommon (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:34:03 +0000

libkf5mailcommon (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:50:02 +0000

libkf5mailcommon (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:33:15 +0000

libkf5mailcommon (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:19:28 +0000

libkf5mailcommon (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:41:50 +0000

libkf5mailcommon (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:39:49 +0000

libkf5mailcommon (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:51:32 +0000

libkf5mailcommon (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:58:27 +0000

libkf5mailcommon (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:07:57 +0000

libkf5mailcommon (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:16:33 +0000

libkf5mailcommon (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:04 +0000

libkf5mailcommon (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:23:52 +0000

libkf5mailcommon (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:09:42 +0000

libkf5mailcommon (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:25:37 +0000

libkf5mailcommon (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:59:37 +0000

libkf5mailcommon (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:27 +0000

libkf5mailcommon (4:20.12.3-0neon) focal; urgency=medium

  * New release



=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/mailcommon-([\d.]+).tar.xz

## kpim6-mailcommon 25.08.1

=== debian/changelog ===
kpim6-mailcommon (4:25.08.1-0zneon+24.04+noble+release+build37) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 14:55:44 +0000

kpim6-mailcommon (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:13:16 +0000

## kpim6-mailcommon 25.08.1+p24.04+vstable+git20250920.0945

=== debian/changelog ===
kpim6-mailcommon (4:25.08.1+p24.04+vstable+git20250920.0945-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Sep 2025 09:45:13 +0000

## kpim6-mailcommon 25.08.1+p24.04+vstable+git20250922.0418

=== debian/changelog ===
kpim6-mailcommon (4:25.08.1+p24.04+vstable+git20250922.0418-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 04:18:05 +0000

## kpim6-mailcommon 25.08.2

=== debian/changelog ===
kpim6-mailcommon (4:25.08.2-0zneon+24.04+noble+release+build42) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 11:56:50 +0000

kpim6-mailcommon (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:56:13 +0000

## kpim6-mailcommon 25.08.2+p24.04+vstable+git20251017.0839

=== debian/changelog ===
kpim6-mailcommon (4:25.08.2+p24.04+vstable+git20251017.0839-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 08:39:47 +0000

## kpim6-mailcommon 25.08.2+p24.04+vstable+git20251019.0825

=== debian/changelog ===
kpim6-mailcommon (4:25.08.2+p24.04+vstable+git20251019.0825-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:25:05 +0000

## kpim6-mailcommon 25.08.2+p24.04+vstable+git20251025.0022

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.3")

project(mailcommon VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMAddQch)

option(
    BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
    OFF
)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "6.5.3")
set(AKONADICONTACT_LIB_VERSION "6.5.3")
set(MESSAGELIB_LIB_VERSION "6.5.3")
set(KMIME_LIB_VERSION "6.5.3")
set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
set(MAILIMPORTER_LIB_VERSION "6.5.3")
set(LIBKDEPIM_LIB_VERSION "6.5.3")
set(PIMCOMMON_LIB_VERSION "6.5.3")
set(KIDENTITYMANAGERCORE_LIB_VERSION "6.5.3")

set(AKONADI_VERSION "6.5.3")
set(KTEXTADDONS_MIN_VERSION "1.6.0")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED Widgets DBus Xml Multimedia
)

set(GPGMEPP_LIB_VERSION "1.20.0")
find_package(Gpgmepp ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)
find_package(QGpgmeQt6 ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailImporter ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6AkonadiContactWidgets
    ${AKONADICONTACT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(
    KPim6IdentityManagementCore
    ${KIDENTITYMANAGERCORE_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)
option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(
    DESIGNERPLUGIN
    ${BUILD_DESIGNERPLUGIN}
    "Build plugin for Qt Designer"
)

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILCOMMON
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfigVersion.cmake"
                        SOVERSION 6
)

if(TARGET KPim6::PimCommonActivities)
    option(
        OPTION_USE_PLASMA_ACTIVITIES
        "Activate plasma activities (experimental)"
        ON
    )
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(
                PlasmaActivities
                PROPERTIES
                    DESCRIPTION "Allow to compile with plasma activities"
                    TYPE OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(MAILCOMMON_HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

########### Targets ###########
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

add_subdirectory(src)
if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MailCommon")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6MailCommon_QCH
        FILE KPim6MailCommonQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6MailCommonQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailCommonConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6MailCommonTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MailCommonTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailCommon
    COMPONENT Devel
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kpim6-mailcommon (4:25.08.2+p24.04+vstable+git20251025.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 25 Oct 2025 00:22:10 +0000

=== debian/control ===
Source: kpim6-mailcommon
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               dbus,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kdbusaddons-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kitemviews-dev,
               kf6-ktextaddons-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-syntax-highlighting-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmime-dev,
               kpim6-libkdepim-dev,
               kpim6-mailimporter-dev,
               kpim6-messagelib-dev,
               kpim6-pimcommon-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-phonon-dev,
               qt6-tools-dev,
               qt6-webengine-dev,
               reuse,
               xauth,
               xsltproc,
               xvfb
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/mailcommon.git
Vcs-Browser: https://invent.kde.org/neon/kde/mailcommon
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-mailcommon
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkpim6mailcommon6abi5
Replaces: libkf5mailcommon-data,
          libkf5mailcommon-plugins,
          libkf5mailcommon5,
          libkf5mailcommon5abi4,
          libkpim6mailcommon-data,
          libkpim6mailcommon-plugins,
          libkpim6mailcommon6
Description: KDE PIM email utility library, shared data
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the shared data distributed with the library.
 .
 This package is part of KDE PIM module.

Package: kpim6-mailcommon-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kconfig-dev,
         kpim6-akonadi-dev,
         kpim6-akonadi-mime-dev,
         kpim6-libkdepim-dev,
         kpim6-mailcommon (= ${binary:Version}),
         kpim6-messagelib-dev,
         kpim6-pimcommon-dev,
         libqgpgmeqt6-dev,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf5mailcommon-dev, libkpim6mailcommon-dev
Description: KDE PIM email utility library, devel files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

Package: libkpim6mailcommon-data
Architecture: all
Depends: kpim6-mailcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6mailcommon-dev
Architecture: all
Depends: kpim6-mailcommon-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6mailcommon-plugins
Architecture: all
Depends: kpim6-mailcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6mailcommon6
Architecture: all
Depends: kpim6-mailcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mailcommon-data
Architecture: all
Depends: kpim6-mailcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mailcommon-dev
Architecture: all
Depends: kpim6-mailcommon-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mailcommon-plugins
Architecture: all
Depends: kpim6-mailcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mailcommon6
Architecture: all
Depends: kpim6-mailcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kpim6-mailcommon 25.08.2+p24.04+vunstable+git20251015.2007

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,14 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.5.40")
 
 project(mailcommon VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -70,18 +71,18 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
-set(AKONADIMIME_LIB_VERSION "6.5.3")
-set(AKONADICONTACT_LIB_VERSION "6.5.3")
-set(MESSAGELIB_LIB_VERSION "6.5.3")
-set(KMIME_LIB_VERSION "6.5.3")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
-set(MAILIMPORTER_LIB_VERSION "6.5.3")
-set(LIBKDEPIM_LIB_VERSION "6.5.3")
-set(PIMCOMMON_LIB_VERSION "6.5.3")
-set(KIDENTITYMANAGERCORE_LIB_VERSION "6.5.3")
-
-set(AKONADI_VERSION "6.5.3")
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
+set(AKONADIMIME_LIB_VERSION "6.5.40")
+set(AKONADICONTACT_LIB_VERSION "6.5.40")
+set(MESSAGELIB_LIB_VERSION "6.5.40")
+set(KMIME_LIB_VERSION "6.5.42")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
+set(MAILIMPORTER_LIB_VERSION "6.5.40")
+set(LIBKDEPIM_LIB_VERSION "6.5.40")
+set(PIMCOMMON_LIB_VERSION "6.5.40")
+set(KIDENTITYMANAGERCORE_LIB_VERSION "6.5.40")
+
+set(AKONADI_VERSION "6.5.40")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 find_package(
     Qt6
@@ -194,7 +195,7 @@
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 add_subdirectory(src)
 if(BUILD_TESTING)

=== debian/changelog ===
kpim6-mailcommon (4:25.08.2+p24.04+vunstable+git20251015.2007-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:07:47 +0000

## kpim6-mailcommon 25.08.2+p24.04+vunstable+git20251020.0705

=== debian/changelog ===
kpim6-mailcommon (4:25.08.2+p24.04+vunstable+git20251020.0705-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 07:05:36 +0000

## kpim6-mailcommon 25.08.2+p24.04+vunstable+git20251022.0208

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(mailcommon VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

=== debian/changelog ===
kpim6-mailcommon (4:25.08.2+p24.04+vunstable+git20251022.0208-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 02:08:49 +0000

## kpim6-mailcommon 25.08.3+p24.04+vunstable+git20251204.0252

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,12 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.40")
 
 project(mailcommon VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -71,18 +70,18 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
-set(AKONADIMIME_LIB_VERSION "6.5.40")
-set(AKONADICONTACT_LIB_VERSION "6.5.40")
-set(MESSAGELIB_LIB_VERSION "6.5.40")
-set(KMIME_LIB_VERSION "6.5.42")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
-set(MAILIMPORTER_LIB_VERSION "6.5.40")
-set(LIBKDEPIM_LIB_VERSION "6.5.40")
-set(PIMCOMMON_LIB_VERSION "6.5.40")
-set(KIDENTITYMANAGERCORE_LIB_VERSION "6.5.40")
-
-set(AKONADI_VERSION "6.5.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(AKONADIMIME_LIB_VERSION "6.6.40")
+set(AKONADICONTACT_LIB_VERSION "6.6.40")
+set(MESSAGELIB_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
+set(MAILIMPORTER_LIB_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(KIDENTITYMANAGERCORE_LIB_VERSION "6.6.40")
+
+set(AKONADI_VERSION "6.6.40")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
 
 find_package(
     Qt6
@@ -91,7 +90,7 @@
     REQUIRED Widgets DBus Xml Multimedia
 )
 
-set(GPGMEPP_LIB_VERSION "1.20.0")
+set(GPGMEPP_LIB_VERSION "1.23.2")
 find_package(Gpgmepp ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)
 find_package(QGpgmeQt6 ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)
 
@@ -165,7 +164,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.3.0")
+            find_package(PlasmaActivities "6.4.0")
             set_package_properties(
                 PlasmaActivities
                 PROPERTIES
@@ -195,7 +194,7 @@
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 add_subdirectory(src)
 if(BUILD_TESTING)

=== debian/changelog ===
kpim6-mailcommon (4:25.08.3+p24.04+vunstable+git20251204.0252-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:52:20 +0000

kpim6-mailcommon (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:39:17 +1000

## kpim6-mailcommon 25.08.3+p24.04+vunstable+git20251206.0937

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 set(PIM_VERSION "6.6.40")
 
-project(mailcommon VERSION ${PIM_VERSION})
-
-set(KF_MIN_VERSION "6.19.0")
+project(mailcommon VERSION 6.6.41)
+
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kpim6-mailcommon (4:25.08.3+p24.04+vunstable+git20251206.0937-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 09:37:45 +0000

## kpim6-mailcommon 25.12.0

=== debian/changelog ===
kpim6-mailcommon (4:25.12.0-0zneon+24.04+noble+release+build44) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:22:05 +0000

kpim6-mailcommon (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:35:20 +1000

## kpim6-mailcommon 25.12.0+p24.04+vstable+git20251221.0041

=== debian/changelog ===
kpim6-mailcommon (4:25.12.0+p24.04+vstable+git20251221.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Dec 2025 00:41:25 +0000

## kpim6-mailcommon 25.12.0+p24.04+vstable+git20260102.1226

=== debian/changelog ===
kpim6-mailcommon (4:25.12.0+p24.04+vstable+git20260102.1226-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:26:11 +0000

## kpim6-mailcommon 25.12.1

=== debian/changelog ===
kpim6-mailcommon (4:25.12.1-0zneon+24.04+noble+release+build47) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 03:07:45 +0000

kpim6-mailcommon (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:24:50 +1000

## kpim6-mailcommon 25.12.1+p24.04+vstable+git20260120.0758

=== debian/changelog ===
kpim6-mailcommon (4:25.12.1+p24.04+vstable+git20260120.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 07:58:33 +0000
